/* !!! IMPORTANT !!!
 * The Lixie-Particle library relies on [the FastLED2 library from Daniel Garcia] available on the Particle Web IDE!
 *
 * 1. Open Libraries and search for "FastLED2" and select it from the resulting list of libraries
 * 2. Click on "INCLUDE IN PROJECT" and select the Lixie-Particle example you had selected above from your list of applications
 * 3. ERASE the lines added at the top of the application file which look like this:
 *
 *	// This #include statement was automatically added by the Particle IDE.
 *	#include <FastLED2.h>
 *
 */

#include "Arduino.h"
#include <Lixie-Particle.h> // Include Lixie Library

#define DATA_PIN   D5
#define NUM_LIXIES 4
Lixie lix(DATA_PIN, NUM_LIXIES);

uint32_t count = 0;

void setup() {
  lix.begin(); // Initialize LEDs
}

void loop() {
  lix.write(count); // Display count
  delay(100);
  count++;
}
